# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/animationTrigger.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/animationTrigger.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class AnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  AcknowledgeFaceInitPause              = 0
  AcknowledgeFaceNamed                  = 1
  AcknowledgeFaceUnnamed                = 2
  AcknowledgeObject                     = 3
  AskToBeRightedLeft                    = 4
  AskToBeRightedRight                   = 5
  BlockReact                            = 6
  BuildPyramidSuccess                   = 7
  CantHandleTallStack                   = 8
  CodeBreakerNewIdea                    = 9
  CodeBreakerThinking                   = 10
  ConnectWakeUp                         = 11
  CubeMovedSense                        = 12
  CubeMovedUpset                        = 13
  CubePounceFake                        = 14
  CubePounceGetIn                       = 15
  CubePounceGetOut                      = 16
  CubePounceGetReady                    = 17
  CubePounceGetUnready                  = 18
  CubePounceIdleLiftDown                = 19
  CubePounceIdleLiftUp                  = 20
  CubePounceLoseHand                    = 21
  CubePounceLoseRound                   = 22
  CubePounceLoseSession                 = 23
  CubePouncePounceClose                 = 24
  CubePouncePounceNormal                = 25
  CubePounceWinHand                     = 26
  CubePounceWinRound                    = 27
  CubePounceWinSession                  = 28
  DemoOnSawNewNamedFace                 = 29
  DemoOnSawNewUnnamedFace               = 30
  DemoOnSawOldNamedFace                 = 31
  DemoOnSawOldUnnamedFace               = 32
  DriveEndAngry                         = 33
  DriveEndDefault                       = 34
  DriveEndLaunch                        = 35
  DriveLoopAngry                        = 36
  DriveLoopDefault                      = 37
  DriveLoopLaunch                       = 38
  DriveStartAngry                       = 39
  DriveStartDefault                     = 40
  DriveStartLaunch                      = 41
  DroneModeBackwardDrivingEnd           = 42
  DroneModeBackwardDrivingLoop          = 43
  DroneModeBackwardDrivingStart         = 44
  DroneModeCliffEvent                   = 45
  DroneModeForwardDrivingEnd            = 46
  DroneModeForwardDrivingLoop           = 47
  DroneModeForwardDrivingStart          = 48
  DroneModeGetIn                        = 49
  DroneModeGetOut                       = 50
  DroneModeIdle                         = 51
  DroneModeTurboDrivingStart            = 52
  FacePlantRoll                         = 53
  FacePlantRollArmUp                    = 54
  FailedToRightFromFace                 = 55
  FlipDownFromBack                      = 56
  FrustratedByFailure                   = 57
  FrustratedByFailureMajor              = 58
  GoToSleepGetIn                        = 59
  GoToSleepGetOut                       = 60
  GoToSleepOff                          = 61
  GoToSleepSleeping                     = 62
  HikingDrivingEnd                      = 63
  HikingDrivingLoop                     = 64
  HikingDrivingStart                    = 65
  HikingInterestingEdgeThought          = 66
  HikingIntro                           = 67
  HikingLookAround                      = 68
  HikingObserve                         = 69
  HikingReactToEdge                     = 70
  HikingReactToNewArea                  = 71
  HikingReactToPossibleMarker           = 72
  HikingSquintEnd                       = 73
  HikingSquintLoop                      = 74
  HikingSquintStart                     = 75
  HikingWakeUpOffCharger                = 76
  IdleOnCharger                         = 77
  InteractWithFaceTrackingIdle          = 78
  InteractWithFacesInitialNamed         = 79
  InteractWithFacesInitialUnnamed       = 80
  KnockOverEyes                         = 81
  KnockOverFailure                      = 82
  KnockOverGrabAttempt                  = 83
  KnockOverPreActionNamedFace           = 84
  KnockOverPreActionUnnamedFace         = 85
  KnockOverSuccess                      = 86
  LookInPlaceForFacesBodyPause          = 87
  LookInPlaceForFacesHeadMovePause      = 88
  MajorFail                             = 89
  MajorWin                              = 90
  MeetCozmoGetIn                        = 91
  MeetCozmoLookFaceGetIn                = 92
  MeetCozmoLookFaceGetOut               = 93
  MeetCozmoScanningIdle                 = 94
  MeetCozmoFirstEnrollmentSayName       = 95
  MeetCozmoFirstEnrollmentRepeatName    = 96
  MeetCozmoFirstEnrollmentCelebration   = 97
  MeetCozmoReEnrollmentSayName          = 98
  MeetCozmoRenameFaceSayName            = 99
  MeetCozmoLookFaceInterrupt            = 100
  NeutralFace                           = 101
  NothingToDoBoredEvent                 = 102
  NothingToDoBoredIdle                  = 103
  NothingToDoBoredIntro                 = 104
  NothingToDoBoredOutro                 = 105
  OnLearnedPlayerName                   = 106
  OnSawNewNamedFace                     = 107
  OnSawNewUnnamedFace                   = 108
  OnSawOldNamedFace                     = 109
  OnSawOldUnnamedFace                   = 110
  OnSimonCozmoHandComplete              = 111
  OnSimonCozmoWin                       = 112
  OnSimonPlayerHandComplete             = 113
  OnSimonPlayerWin                      = 114
  OnSimonPointCube                      = 115
  OnSimonReactToPattern                 = 116
  OnSpeedtapCozmoConfirm                = 117
  OnSpeedtapFakeout                     = 118
  OnSpeedtapGameCozmoWinHighIntensity   = 119
  OnSpeedtapGameCozmoWinLowIntensity    = 120
  OnSpeedtapGamePlayerWinHighIntensity  = 121
  OnSpeedtapGamePlayerWinLowIntensity   = 122
  OnSpeedtapGetOut                      = 123
  OnSpeedtapHandCozmoWin                = 124
  OnSpeedtapHandPlayerWin               = 125
  OnSpeedtapIdle                        = 126
  OnSpeedtapRoundCozmoWinHighIntensity  = 127
  OnSpeedtapRoundCozmoWinLowIntensity   = 128
  OnSpeedtapRoundPlayerWinHighIntensity = 129
  OnSpeedtapRoundPlayerWinLowIntensity  = 130
  OnSpeedtapTap                         = 131
  OnWaitForCubesMinigameSetup           = 132
  OnWiggle                              = 133
  OnboardingBirth                       = 134
  OnboardingCubeDockFail                = 135
  OnboardingDiscoverCube                = 136
  OnboardingDriveEnd                    = 137
  OnboardingDriveLoop                   = 138
  OnboardingDriveStart                  = 139
  OnboardingEyesOn                      = 140
  OnboardingHelloPlayer                 = 141
  OnboardingHelloWorld                  = 142
  OnboardingIdle                        = 143
  OnboardingInteractWithCube            = 144
  OnboardingPreBirth                    = 145
  OnboardingReactToCube                 = 146
  OnboardingReactToCubePutDown          = 147
  OnboardingReactToFace                 = 148
  OnboardingSoundOnlyLiftEffortPickup   = 149
  OnboardingSoundOnlyLiftEffortPlaceLow = 150
  OnboardingGetOut                      = 151
  PlacedOnCharger                       = 152
  PopAWheelieInitial                    = 153
  PopAWheeliePreActionNamedFace         = 154
  PopAWheeliePreActionUnnamedFace       = 155
  PopAWheelieRealign                    = 156
  PopAWheelieRetry                      = 157
  PounceDriveEnd                        = 158
  PounceDriveLoop                       = 159
  PounceDriveStart                      = 160
  PounceFace                            = 161
  PounceFail                            = 162
  PounceGetOut                          = 163
  PounceInitial                         = 164
  PouncePounce                          = 165
  PounceSuccess                         = 166
  ProceduralLive                        = 167
  PutDownBlockKeepAlive                 = 168
  PutDownBlockPutDown                   = 169
  ReactToBlockPickupSuccess             = 170
  ReactToBlockRetryPickup               = 171
  ReactToCliff                          = 172
  ReactToCliffDetectorStop              = 173
  ReactToNewBlockAsk                    = 174
  ReactToNewBlockBig                    = 175
  ReactToNewBlockSmall                  = 176
  ReactToOnLeftSide                     = 177
  ReactToOnRightSide                    = 178
  ReactToPickup                         = 179
  ReactToPokeReaction                   = 180
  ReactToPokeStartled                   = 181
  ReactToUnexpectedMovement             = 182
  RequestGameDrivingFail                = 183
  RequestGameKeepAwayAccept0            = 184
  RequestGameKeepAwayAccept1            = 185
  RequestGameKeepAwayDeny0              = 186
  RequestGameKeepAwayDeny1              = 187
  RequestGameKeepAwayIdle0              = 188
  RequestGameKeepAwayIdle1              = 189
  RequestGameKeepAwayInitial0           = 190
  RequestGameKeepAwayInitial1           = 191
  RequestGameKeepAwayPreDrive0          = 192
  RequestGameKeepAwayPreDrive1          = 193
  RequestGameKeepAwayRequest0           = 194
  RequestGameKeepAwayRequest1           = 195
  RequestGameMemoryMatchAccept0         = 196
  RequestGameMemoryMatchAccept1         = 197
  RequestGameMemoryMatchDeny0           = 198
  RequestGameMemoryMatchDeny1           = 199
  RequestGameMemoryMatchIdle0           = 200
  RequestGameMemoryMatchIdle1           = 201
  RequestGameMemoryMatchInitial0        = 202
  RequestGameMemoryMatchInitial1        = 203
  RequestGameMemoryMatchPreDrive0       = 204
  RequestGameMemoryMatchPreDrive1       = 205
  RequestGameMemoryMatchRequest0        = 206
  RequestGameMemoryMatchRequest1        = 207
  RequestGamePickupFail                 = 208
  RequestGameSpeedTapAccept0            = 209
  RequestGameSpeedTapAccept1            = 210
  RequestGameSpeedTapDeny0              = 211
  RequestGameSpeedTapDeny1              = 212
  RequestGameSpeedTapIdle0              = 213
  RequestGameSpeedTapIdle1              = 214
  RequestGameSpeedTapInitial0           = 215
  RequestGameSpeedTapInitial1           = 216
  RequestGameSpeedTapPreDrive0          = 217
  RequestGameSpeedTapPreDrive1          = 218
  RequestGameSpeedTapRequest0           = 219
  RequestGameSpeedTapRequest1           = 220
  RollBlockInitial                      = 221
  RollBlockPreActionNamedFace           = 222
  RollBlockPreActionUnnamedFace         = 223
  RollBlockPutDown                      = 224
  RollBlockRealign                      = 225
  RollBlockRetry                        = 226
  RollBlockSuccess                      = 227
  SdkTextToSpeech                       = 228
  Shiver                                = 229
  Shocked                               = 230
  SimonPointCenter                      = 231
  SimonPointLeftBig                     = 232
  SimonPointLeftSmall                   = 233
  SimonPointRightBig                    = 234
  SimonPointRightSmall                  = 235
  Sleeping                              = 236
  SoftSparkUpgradeLift                  = 237
  SoftSparkUpgradeTracks                = 238
  SoundOnlyLiftEffortPickup             = 239
  SoundOnlyLiftEffortPlaceHigh          = 240
  SoundOnlyLiftEffortPlaceLow           = 241
  SoundOnlyLiftEffortPlaceRoll          = 242
  SoundOnlyTurnSmall                    = 243
  SparkDrivingLoop                      = 244
  SparkDrivingStart                     = 245
  SparkDrivingStop                      = 246
  SparkFailure                          = 247
  SparkGetIn                            = 248
  SparkGetOut                           = 249
  SparkIdle                             = 250
  SparkPickupFinalCubeReaction          = 251
  SparkPickupInitialCubeReaction        = 252
  SparkSuccess                          = 253
  SpeedTapDrivingEnd                    = 254
  SpeedTapDrivingLoop                   = 255
  SpeedTapDrivingStart                  = 256
  StackBlocksPreActionNamedFace         = 257
  StackBlocksPreActionUnnamedFace       = 258
  StackBlocksRetry                      = 259
  StackBlocksSuccess                    = 260
  StartSleeping                         = 261
  SuccessfulWheelie                     = 262
  Surprise                              = 263
  TurtleRoll                            = 264
  UnitTestAnim                          = 265
  Count                                 = 266

Anki.Cozmo.AnimationTrigger = AnimationTrigger
del AnimationTrigger


