# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/behaviorTypes.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/behaviorTypes.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class BehaviorGameFlag(object):
  "Automatically-generated uint_8 enumeration."
  NoGame      = 0
  SpeedTap    = 0x1
  MemoryMatch = 0x2
  CubePounce  = 0x4
  KeepAway    = 0x5
  All         = 0xff

Anki.Cozmo.BehaviorGameFlag = BehaviorGameFlag
del BehaviorGameFlag


class BehaviorType(object):
  "Automatically-generated uint_8 enumeration."
  NoneBehavior               = 0
  LookAround                 = 1
  InteractWithFaces          = 2
  ReactToCliff               = 3
  ReactToPickup              = 4
  ReactToPoke                = 5
  ReactToRobotOnBack         = 6
  ReactToRobotOnSide         = 7
  ReactToRobotOnFace         = 8
  ReactToOnCharger           = 9
  ReactToCubeMoved           = 10
  ReactToFrustration         = 11
  ReactToReturnedToTreads    = 12
  ReactToSparked             = 13
  PlayAnim                   = 14
  PlayArbitraryAnim          = 15
  PounceOnMotion             = 16
  FindFaces                  = 17
  BringCubeToBeacon          = 18
  ExploreLookAroundInPlace   = 19
  ExploreVisitPossibleMarker = 20
  LookInPlaceMemoryMap       = 21
  ThinkAboutBeacons          = 22
  VisitInterestingEdge       = 23
  RequestGameSimple          = 24
  RollBlock                  = 25
  BuildPyramid               = 26
  StackBlocks                = 27
  PutDownBlock               = 28
  FactoryTest                = 29
  FactoryCentroidExtractor   = 30
  DemoFearEdge               = 31
  DockingTestSimple          = 32
  DriveOffCharger            = 33
  PopAWheelie                = 34
  KnockOverCubes             = 35
  AcknowledgeObject          = 36
  AcknowledgeFace            = 37
  DrivePath                  = 38
  ReactToUnexpectedMovement  = 39
  PickUpCube                 = 40
  CantHandleTallStack        = 41
  OnboardingShowCube         = 42
  Count                      = 43

Anki.Cozmo.BehaviorType = BehaviorType
del BehaviorType


class ExecutableBehaviorType(object):
  "Automatically-generated uint_8 enumeration."
  NoneBehavior      = 0
  FindFaces         = 1
  KnockOverCubes    = 2
  LookAroundInPlace = 3
  PounceOnMotion    = 4
  RollBlock         = 5
  StackBlocks       = 6
  Count             = 7

Anki.Cozmo.ExecutableBehaviorType = ExecutableBehaviorType
del ExecutableBehaviorType


